Bug 166362 - SGI Prism virtual consoles don't work when console=ttySG0 supplied
SGI Prism virtual consoles don't work when console=ttySG0 supplied
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Jacobson
Brian Brock
:
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
 
Reported: 2005-08-19 15:18 EDT by Erik Jacobson
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-29 10:54:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik Jacobson 2005-08-19 15:18:42 EDT
I found that SGI Prism virtual consoles don't work if the system console
is defined as ttySG0.  The mingetty's start, but nothing appears.

If ttySG0 is removed and the console is the graphics head, the virtuals
work as expected.

Assigning to myself for now.

This was observed with the 2.6.12-1.1492_FC5 kernel in the ia64 development
repo.
Comment 1 Erik Jacobson 2005-08-19 17:59:05 EDT
This is SGI Engineering Bug 941467
Comment 2 Warren Togami 2005-08-19 20:23:03 EDT
ia64 is not an officially supported architecture of Fedora, but if you can get
the fix for this into the upstream kernel.org kernel, then it will be quickly
into the FC5 kernel as we pull from git snapshots regularly.

Could you describe what ttySG0 is for?

Is the device node for ttySG0 not created?  Or possibly is it not created
quickly enough for the userspace program that expects it to use it?
Comment 3 Erik Jacobson 2005-08-20 11:43:30 EDT
ttySG0 is working fine...  it is the device for the Altix system console.

Even on a prism, I was able to install from ttySG0.  The only problem was that
virtual consoles on the Prism wouldn't work if console=ttySG0 was present in
the kernel parameters.
Comment 4 Erik Jacobson 2005-08-20 11:44:27 EDT
PS: Hopefully we can get something posted to the community soon; I don't have
a feel for the complexity of this problem yet and if the owner will have time
to look soon.  I'll update the bug when I know more.

Note You need to log in before you can comment on or make changes to this bug.